/* -------------------------------------------------------------- */
/*   Stylesheet for homepage of Arthur Vigan                      */
/*   Copied and adapted from the homepage of Laura Watkins:       */
/*   http://www.stsci.edu/~lwatkins                               */
/*                                                                */
/*   v2.2 : Laura L Watkins, MPIA, 2011/10/20                     */
/*   v2.3 : LLW, MPIA, 2011/10/20 - added non-standard font       */
/*   v2.4 : LLW, STScI, 2014/12/14 - extended colours to edge     */
/*   v2.5 : Arthur Vigan, ESO, 2015/07/03 - adapted from original */
/*   v2.6 : Arthur Vigan, LAM, 2017-08 - several improvements     */
/*   v2.7 : Arthur Vigan, LAM, 2023-12 - change of font           */
/*   v2.8 : Arthur Vigan, LAM, 2026-01 - change of colors         */
/* -------------------------------------------------------------- */


/* ---------------------------------- */
/* BODY */

body {
    background-color: #f7fbff;
    color: #000000;
    font-family: 'ClearSans', Candara, Segoe, "Segoe UI", Optima, Arial, sans-serif;
    font-size: 1em;
    margin: 0 auto;
    padding: 0;
}

/* ---------------------------------- */
/* CONTENT */

#content {
    background-color: #ffffff;
}

/* ---------------------------------- */
/* HEADER */

#header {
    color: #0d0d0d;
    margin: -38px auto 0 auto;
    padding: 0 0 0 20px;
    text-transform: uppercase;
    max-width: 900px;
}

#header-inner {
    font-size: 1.3em;
}

/* ---------------------------------- */
/* NAVIGATION */

#nav {
    background-color: #f7fbff;
    border-width: 0 0 3px 0;
    border-style: solid;
    border-color: #cccccc;
    margin: 0;
    text-align: right;
    height: 50px;
}

#nav-inner {
    font-family: 'ShantiRegular', 'Calibri', sans-serif;
    margin: 0 auto;
    padding: 0;
    max-width: 900px;
    height: 50px;
}

.navbar {
    float: right;
}

.navbar a {
    height: 30px;
    float: left;
    padding: 0 0 0 0;
    margin: 20px 0 0 20px;
    text-align: left;
    font-weight: bold;
    text-decoration: none;
    color: #0061eb;
    text-transform: uppercase;
}

.dropdown {
    float: left;
    overflow: hidden;
    margin: 18.5px 0 0 20px;
    height: 30px;
}

.dropdown .dropbtn {
    padding: 0 0 0 0;
    margin: 0 0 0 0;
    border: none;
    outline: none;
    text-align: left;
    font-weight: bold;
    text-decoration: none;
    color: #0061eb;
    background-color: #f7fbff;
    text-transform: uppercase;
    font-family: 'ShantiRegular', 'Calibri', sans-serif;
    font-size: 1em;
}


.navbar a:hover, .dropdown:hover .dropbtn {
    color: #659ff0;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f7fbff;
    min-width: 300px;
    z-index: 1;
    padding: 0;
    margin: 0;
    border-width: 1px;
    border-style: solid;
    border-color: #ccc;
}

.dropdown-content a {
    float: none;
    height: auto;
    padding: 7px;
    margin: 0;
    text-decoration: none;
    display: block;
    text-align: left;
    color: #0061eb;
    font-size: 0.9em;
}

.dropdown-content a:hover {
    background-color: #659ff0;
    color: #ffffff;
}

.dropdown:hover .dropdown-content {
    display: block;
}

/* ---------------------------------- */
/* MAIN */

#main {
    margin: 12px auto 0 auto;
    padding: 10px 24px 10px 24px;
    max-width: 900px;
}

/* ---------------------------------- */
/* FOOTER */

#footer {
    background-color: #f7fbff;
    border-width: 3px 0 0 0;
    border-style: solid;
    border-color: #cccccc;
    color: #0d0d0d;
    font-weight: bold;
    margin-top: 25px;
    padding: 17px;
    text-align: center;
}

#footer ul {
    font-size: 0.8em;
    margin: 0;
    padding: 0;
}

#footer li {
    display: inline;
    margin: 0;
    padding: 0 24px;
}

/* ---------------------------------- */
/* LINKS */

a {
    font-family: 'ShantiRegular', 'Calibri', sans-serif;
    font-size: 0.97em;
    font-weight: bold;
    text-decoration: none;
    color: #0061eb;
}

a:hover {
    color: #659ff0;
}

/* ---------------------------------- */
/* STANDARD TEXT */

p {
    line-height: 1.5;
    text-align: justify;
    text-justify: inter-word;
    margin: 5px 0 7px 0;
}

/* ---------------------------------- */
/* HEADINGS */

h1 {
    color: #000000;
    font-size: 1.6em;
    font-weight: normal;
    margin: 15px 0 45px 0;
    padding: 0;
    text-align: right;
    text-transform: uppercase;
}

h2 {
    color: #0d0d0d;
    border-width: 0 0 2px 0;
    border-style: solid;
    border-color: #cccccc;
    font-size: 1.3em;
    font-weight: normal;
    margin: 38px 0 9px 0;
    padding: 5px 5px 5px 20px;
    text-align: left;
    text-transform: uppercase;
}

h3 {
    color: #0d0d0d;
    font-size: 1.05em;
    font-weight: bold;
    font-style: italic;
    margin: 15px 0 0 0;
    padding: 5px 5px 5px 20px;
    text-align: left;
}

h4 {
    color: #0d0d0d;
    width: 50px;
    font-size: 1.3em;
    font-weight: bold;
    font-style: normal;
    padding: 1px 2px 1px 2px;
    text-align: center;
    border: 1px solid;
    border-radius: 5px;
    margin: 15px auto 0 auto;
}

/* ---------------------------------- */
/* DESCRIPTION LISTS */

dl {
    margin: 0;
}

dt {
    margin: 20px 0 0 20px;
    text-align: justify;
    text-justify: inter-word;
}

dd {
    padding: 0 0 0 15px;
}


/* ---------------------------------- */
/* VARIOUS FORMATING */

.authors {
    color: #666666;
    font-size: 1em;
    padding-top: 4px;
    text-align: justify;
}

.vigan {
    color: #690000;
    font-weight: bold;
    font-size: 1.05em;
    text-decoration: underline;
}

.student {
    color: #6908ff;
    font-weight: bold;
    font-size: 1.05em;
}

.postdoc {
    color: #6908ff;
    font-weight: bold;
    font-size: 1.05em;
}

.ercmember {
    color: #6908ff;
    font-weight: bold;
    font-size: 1em;
}

.french {
    font-style: italic;
}

.title {
    color: #690000;
}

.filesize {
    font-size: 0.9em;
}

.pubinfo {
    color: #000000;
    font-size: 1em;
    padding-top: 4px;
}

.pubref {
    text-align: left;
}

.publinks {
    float: right;
}

/* ---------------------------------- */
/* SIDEBAR */

#sidebar {
    float: left;
    margin: -15px 0 0 -30px;
    padding: 35px 0 0 0;
    text-align: center;
    width: 335px;
}

#picture {
    margin: 0;
    text-align: right;
    margin: 0 55px 0 0;
}

#picture img {
    background-color: #f7fbff;
    border: 3px solid #ccc;
    padding: 6px;
    margin: 0;
}

#logo_lam {
    margin: 30px 55px 0 0;
    text-align: right;
}

#logo_cnrs {
    margin: 10px 55px 0 0;
    text-align: right;
}

/* ---------------------------------- */
/* CONTACT */

#contact {
    margin: 30px 55px 0 0;
    text-align: right;
}

#contact ul {
    font-size: 1.2em;
    list-style: none;
    margin: 0 auto 0 auto;
    padding: 0;
}

#contact li {
    font-size: 0.9em;
    margin: 9px 0;
    padding: 0;
}

#contact li.name {
    font-size: 1.2em;
    font-weight: bold;
    text-transform: uppercase;
}

#contact li.position {
    font-weight: bold;
}

#contact li.address {
    font-size: .75em;
    line-height: 1.5;
}

#contact li.phone a {
    background: transparent url('images/phone.png') no-repeat scroll;
    padding-left: 22px;
}

#contact li.orcid a {
    background: transparent url('images/orcid.png') no-repeat scroll;
    padding-left: 22px;
}

/* ---------------------------------- */
/* ABOUT ME */

#aboutme {
    /* side bar: 335px with -30px padding ==> 305px margin for this block*/
    margin: 0 0 0 305px;
}

#aboutme img.right {
    float: right;
    background-color: #f7fbff;
    border: 4px solid #ccc;
    padding: 6px;
    margin: 12px 0 0 13px;
}

#aboutme img.left {
    float: left;
    background-color: #f7fbff;
    border: 3px solid #ccc;
    padding: 6px;
    margin: 12px 13px 0 0;
}

/* ---------------------------------- */
/* PUBLICATIONS */

#publications button.accordion {
    font-family: 'ShantiRegular', verdana, sans-serif;
    background-color: #FFFFFF;
    padding: 0 0 0 20px;
    border: none;
    text-align: left;
    outline: none;
    transition: 0.4s;
    font-weight: normal;
    font-size: 1.0em;
    color: #000000;
    width: 880px;
}

#publications button.accordion.active, button.accordion:hover {
    color: #000000;
}

#publications button.accordion:after {
    font-family: arial;
    content: '[Expand list \25BC]';
    color: #000000;
    font-weight: bold;
    float: right;
}

#publications button.accordion.active:after {
    content: '[Collapse list \25B2]';
}

#publications img.bibliometry {
    display: block;
    margin: auto;
    width: 500px;
}

#publications div.panel {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
}

/* ---------------------------------- */
/* CV */

#cv dt {
    font-weight: bold;
    color: #0d0d0d;
}

#cv dt.nospace {
    margin-top: 0;
}

#cv table {
    border: 0;
    margin: 5px 0 0 70px;
    border-collapse: collapse;
}

#cv table.grants {
    border: 0;
    margin: 5px 0 0 0;
    border-collapse: collapse;
}

#cv tr {
    vertical-align: top;
}

#cv td {
    padding: 0 0 3px 0;
}

#cv td.year {
    width: 120px;
    padding: 0;
}

#cv td.summary {
    padding: 0;
}

#cv td.content {
    padding: 0 0 7px 0;
}

#cv td.logo {
    width: 70px;
    padding: 0;
    text-align: right;
    vertical-align: top;
}

#cv td.logo>img {
    float: right;
    padding: 0 15px;
}

#cv div.employer>img {
    float: right;
    padding: 0 15px;
}

#cv div.employer {
    width: 100%;
    clear: both;
}

#cv dl.employer {
    display: grid;
    grid-template-columns: 200px 100%;

}

#cv dt.employer {
    margin: 20px 0 0 20px;
    grid-column: 1 / -1; /* Span both columns */
}

#cv dt.employer_nospace {
    margin: 20px 0 0 20px;
    grid-column: 1 / -1; /* Span both columns */
    margin-top: 0;
}

#cv dd.employer_nospace {
    margin: 0px;
}

/* ---------------------------------- */
/* TOOLS */

#tools dt {
    line-height: 1.5;
    margin-top: 12px;
}

#tools .file {
    background: transparent url('images/table.png') no-repeat scroll;
    margin: 8px 0 0 50px;
    padding: 0 0 0 23px;
}

#tools .github {
    background: transparent url('images/github.png') no-repeat scroll;
    margin: 8px 0 0 50px;
    padding: 0 0 0 23px;
}

#tools .githubicon {
    vertical-align: middle;
    margin: 0px;
    padding: 0 0 5px 0;
}

/* ---------------------------------- */
/* DATA */

#data dt {
    line-height: 1.5;
    margin-top: 12px;
}

#data .file {
    background: transparent url('images/table.png') no-repeat scroll;
    margin: 8px 0 0 50px;
    padding: 0 0 0 23px;
}

#data .pubref {
  margin-top: 0px;
  line-height: 1.4;
}

/* ---------------------------------- */
/* PROJECTS */

#projects li {
    margin: 0 0 8px 0;
}

#projects li.smallspace {
    margin: 0 0 0px 0;
}

#projects dt {
    margin-top: 12px;
}

#projects img.right {
    float: right;
    padding: 6px;
    margin: 0 0 0 10px;
}

#projects img.left {
    float: left;
    padding: 6px;
    margin: 0 10px 0 0;
}

#projects img.center {
    float: center;
    padding: 6px;
    margin: 0 10px 0 0;
}

#projects img.panoramic {
    display: block;
    padding: 6px;
    margin: 0 auto 15px auto;
}

#projects img.funding {
    float: left;
    padding: 0 10px 0 0;
    width: 100px;
    display: block;
}

#projects table {
    border: 0;
    margin: 5px 0 0 0;
    border-collapse: collapse;
}

#projects td.funding {
    vertical-align: middle;
}

#projects table.sciencecase {
    width: 70%;
    margin-left: auto;
    margin-right: auto;
}

#projects table.sciencecase tr {
    vertical-align: top;
}

#projects table.sciencecase td {
    padding: 0 0 3px 0;
    line-height: 1.5;
    text-align: center;
    font-size: 1.05em;
    font-weight: bold;
    font-style: italic;
    text-align: center;
}

#projects table.sciencecase td img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 100px;
}

/* ---------------------------------- */
/* VULGARISATION */

#vulgarisation dt {
    line-height: 1.5;
    margin-top: 12px;
}
